import { FieldError, InternalNamePath, Rule, ValidateOptions, FormInstance } from '../interface';
/**
 * We use `async-validator` to validate the value.
 * But only check one value in a time to avoid namePath validate issue.
 */
export declare function validateRules(namePath: InternalNamePath, value: any, rules: Rule[], options: ValidateOptions, context: FormInstance): Promise<string[]>;
export declare class ErrorCache {
    private cache;
    updateError: (fieldErrors: FieldError[]) => void;
    getFieldsError: (namePathList?: (string | number)[][]) => FieldError[];
    resetField: (namePath: (string | number)[]) => void;
}
