import * as React from 'react';
export var HOOK_MARK = 'RC_FORM_INTERNAL_HOOKS';

var warningFunc = function warningFunc() {
  throw new Error('StateForm is not defined.');
};

var Context = React.createContext({
  getFieldValue: warningFunc,
  getFieldsValue: warningFunc,
  getFieldError: warningFunc,
  getFieldsError: warningFunc,
  isFieldsTouched: warningFunc,
  isFieldTouched: warningFunc,
  isFieldValidating: warningFunc,
  isFieldsValidating: warningFunc,
  resetFields: warningFunc,
  setFields: warningFunc,
  setFieldsValue: warningFunc,
  validateFields: warningFunc,
  getInternalHooks: warningFunc
});
export default Context;