import { InternalNamePath, NamePath, Store } from '../interface';
/**
 * Convert name to internal supported format.
 * This function should keep since we still thinking if need support like `a.b.c` format.
 * 'a' => ['a']
 * 123 => [123]
 * ['a', 123] => ['a', 123]
 */
export declare function getNamePath(path: NamePath | null): (string | number)[];
export declare function getValue(store: Store, namePath: InternalNamePath, defaultValues?: Store): any;
export declare function setValue(store: any, namePath: InternalNamePath, value: any): any;
export declare function cloneByNamePathList(store: any, namePathList: InternalNamePath[]): {};
export declare function containsNamePath(namePathList: InternalNamePath[], namePath: InternalNamePath): boolean;
export declare function setValues(store: Store, ...restValues: Store[]): Store;
export declare function matchNamePath(namePath: InternalNamePath, changedNamePath: InternalNamePath | null): boolean;
export declare function isSimilar(source: any, target: any): boolean;
export declare function defaultGetValueFromEvent(...args: any[]): any;
